{ sources ? import ./nix/sources.nix, pkgs ? import sources.nixpkgs { }
, naersk ? pkgs.callPackage sources.naersk { } }:

let
  campaigns = pkgs.callPackage ./campaigns { };
  tron = naersk.buildPackage {
    src = builtins.filterSource
      (path: type: type != "directory" || builtins.baseNameOf path != "target")
      ./.;
    buildInputs = [ pkgs.openssl pkgs.pkg-config pkgs.sqlite ];
    doCheck = false;
  };

in pkgs.stdenv.mkDerivation {
  inherit (tron) name version;

  phases = "installPhase";

  installPhase = ''
    mkdir -p $out/bin
    cp ${tron}/bin/tron $out/bin/tron
    cp ${./regexes.dhall} $out/regexes.dhall
  '';
}
